
QGIS Application - Feature request #1207

deal with GRASS rasters missing a colortable

2008-08-06 03:25 PM - timmie -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Pull Request or Patch supplied: Resolution: wontfix

Easy fix?: No Copied to github as #: 11267

Description

I would like to ask for one feature:

Qgis can leash its full power as a viewer for GRASS data.

I'd wish to have QGIS using the associated raster colorschemes for GRASS rasters. Those that one select with r.color.

At the moment, the GRASS rasters sometimes get displayed in greyscale and others in pseudocolors.

History

#1 - 2008-09-01 01:26 AM - Maciej Sieczka -

Replying to timmie:

At the moment, the GRASS rasters sometimes get displayed in greyscale and others in pseudocolors.

That's not true. QGIS supports GRASS colortables just fine.

The problem you might be running into is that for GRASS raster maps which don't have a colortable assigned, GRASS defaults to "rainbow"

colortable, but QGIS displays such rasters all grey or black (cause they lack a colortable). Probably QGIS should also default to something when GRASS

colortable is not defined, not sure what though - a greyscale? the "rainbow" too?

#2 - 2009-05-17 10:19 AM - Redmine Admin

I would suggest wantfix. I think that QGIS DOES display GRASS rasters without color table as grayscale. If not, can you provide a commands how to

create a raster which is not displayed as grayscale?

GRASS and QGIS are 2 different applications GRASS is using rainbow for rasters without CT while QGIS grayscale.

Currently GRASS rasters are displayed through gdal provider and I don't think we should put a condition there to display GRASS files in a different way.

Radim

#3 - 2009-05-18 01:59 AM - Redmine Admin

- Resolution set to wontfix

- Status changed from Open to Closed

It is also possible to switch easily from grayscale to pseudocolor in layer properties.

Radim
